# Create Saved Search Create a Saved Search. Endpoint: POST /api/v1/user/searches/ Version: 1.0.0 Security: apikeyAuth ## Request fields (application/json): - `search` (object, required) Example: {"datasource":"scans","query":"page.domain:urlscan.io","name":"Testsearch","description":"urlscan documentation example saved search.","longDescription":"Example saved search created from urlscan documentation.","tlp":"red","userTags":["private.privatetag"],"permissions":["team:read","team:write"]} - `search.datasource` (string, required) Which data this Saved Search operates on. Enum: "hostnames", "scans" - `search.description` (string) Short description. Example: "urlscan documentation example saved search." - `search.longDescription` (string) Long description. Example: "Example saved search created from urlscan documentation." - `search.name` (string, required) User-facing short name. Example: "Testsearch" - `search.permissions` (array) Determine whether only other users on the same team or everyone on urlscan Pro can see the search. Enum: "public:read", "team:read", "team:write" - `search.query` (string, required) Search API query Example: "page.domain:urlscan.io" - `search.tlp` (string) TLP (Traffic Light Protocol) indicator for other users on the urlscan Pro platform. Enum: "red", "amber+strict", "amber", "green", "clear" - `search.usertags` (array) User-supplied tags to be applied to matching items. Apply the following prefixes to tags to define their visibility scope: pro. (urlscan Pro users), public. (all registered users), private. (only you), or team. (you and team members). ## Response 201 fields (application/json): - `search` (object) Example: {"_id":"{{searchId}}","datasource":"scans","query":"page.domain:urlscan.io","name":"Testsearch","description":"urlscan documentation example saved search.","longDescription":"Example saved search created from urlscan documentation","tlp":"red","userTags":["private.privatetag"],"permissions":["team:read","team:write"]} - `search.datasource` (string) Which data this Saved Search operates on. Enum: "hostnames", "scans" - `search.createdAt` (string) Time when the Saved Search was created. - `search.description` (string) Short description. Example: "urlscan documentation example saved search." - `search.longDescription` (string) Long description. Example: "Example saved search created from urlscan documentation" - `search.name` (string) User-facing short name. Example: "Testsearch" - `search.ownerDescription` (string) User-facing owner description. - `search.permissions` (array) Determine whether only other users on the same team or everyone on urlscan Pro can see the search. Enum: "public:read", "team:read", "team:write" - `search.query` (string) Search API query Example: "page.domain:urlscan.io" - `search.tlp` (string) TLP (Traffic Light Protocol) indicator for other users on the urlscan Pro platform. Enum: "red", "amber+strict", "amber", "green", "clear" - `search.usertags` (array) User-supplied tags to be applied to matching items. Apply the following prefixes to tags to define their visibility scope: pro. (urlscan Pro users), public. (all registered users), private. (only you), or team. (you and team members). - `search._id` (string) Unique ID of the Saved Search. Example: "{{searchId}}"